﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<%@ Register Src="~/WebUserControl.ascx" TagPrefix="uc1" TagName="WebUserControl" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
			<Scripts>
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
			</Scripts>
		</telerik:RadScriptManager>

		<telerik:RadAjaxManager ID="RadAjaxManagerProxy1" runat="server">
			<AjaxSettings>
				<telerik:AjaxSetting AjaxControlID="RadGrid_Products">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="RadGrid_Products" LoadingPanelID="RadAjaxLoadingPanel1" />
					</UpdatedControls>
				</telerik:AjaxSetting>
			</AjaxSettings>
		</telerik:RadAjaxManager>

		<telerik:RadGrid ID="RadGrid_Products" runat="server" AutoGenerateColumns="False" CellSpacing="0" GridLines="None"
			AllowAutomaticInserts="True" AllowAutomaticUpdates="True"
			OnNeedDataSource="RadGrid_Products_NeedDataSource">
			<MasterTableView DataKeyNames="RowGUID_Key" EditMode="PopUp" CommandItemDisplay="Bottom">
				<Columns>
					<telerik:GridEditCommandColumn ButtonType="ImageButton" UniqueName="EditCommandColumn_Products" />
					<telerik:GridBoundColumn DataField="Name" FilterControlAltText="Filter Name column" HeaderText="Name" SortExpression="Name" UniqueName="Name" ItemStyle-Width="70%" />
					<telerik:GridBoundColumn DataField="NDC" FilterControlAltText="Filter NDC column" HeaderText="NDC" SortExpression="NDC" UniqueName="NDC" ItemStyle-Width="10%" />
					<telerik:GridBoundColumn DataField="NDC2" FilterControlAltText="Filter NDC2 column" HeaderText="NDC2" SortExpression="NDC2" UniqueName="NDC2" ItemStyle-Width="10%" />
				</Columns>
				<EditFormSettings EditColumn-UniqueName="EditCommandColumn_Products" EditFormType="Template" CaptionDataField="Name" PopUpSettings-ScrollBars="Auto" PopUpSettings-Modal="True" PopUpSettings-Height="768px" PopUpSettings-Width="1024px" PopUpSettings-ShowCaptionInEditForm="true">
					<FormTemplate>

						<telerik:RadTextBox ID="RadTextBox_ProductCode" runat="server" Width="100%" Text='<%# Bind("ProductCode" ) %>' />

						<telerik:RadTabStrip ID="RadTabStrip_Pricing" runat="server" Width="100%" MultiPageID="RadMultiPage_Pricing" SelectedIndex="0">
							<Tabs>
								<telerik:RadTab runat="server" Text="WAC Pricing" Selected="true" />
								<telerik:RadTab runat="server" Text="AMP Pricing" />
								<telerik:RadTab runat="server" Text="BAS Pricing" />
								<telerik:RadTab runat="server" Text="CMS Pricing" />
							</Tabs>
						</telerik:RadTabStrip>
						<telerik:RadMultiPage ID="RadMultiPage_Pricing" runat="server" SelectedIndex="0">
							<telerik:RadPageView ID="RadPageView_WAC" runat="server">
								<telerik:RadGrid ID="Inherit" DataKeyNames="RowGUID_Key" OnNeedDataSource="Inherit_NeedDataSource" Width="100%" runat="server" Name="WAC"
									AutoGenerateColumns="False" CellSpacing="0" GridLines="None" AllowAutomaticInserts="True" AllowAutomaticUpdates="True">
									<MasterTableView DataKeyNames="RowGUID_Key, Product_GUID" EditMode="InPlace" CommandItemDisplay="TopAndBottom">
										<ParentTableRelation>
											<telerik:GridRelationFields DetailKeyField="Product_GUID" MasterKeyField="RowGUID_Key" />
										</ParentTableRelation>
										<Columns>
											<telerik:GridEditCommandColumn ButtonType="ImageButton" UniqueName="EditCommandColumn_WAC" />
											<telerik:GridBoundColumn DataField="EffectiveDate" DataType="System.DateTime" FilterControlAltText="Filter EffectiveDate column" HeaderText="EffectiveDate" SortExpression="EffectiveDate" UniqueName="EffectiveDate" DataFormatString="{0:d}" />
										</Columns>
										<EditFormSettings EditColumn-UniqueName="EditCommandColumn_WAC" EditColumn-ButtonType="ImageButton" EditFormType="AutoGenerated" />
									</MasterTableView>
								</telerik:RadGrid>
							</telerik:RadPageView>
							<telerik:RadPageView ID="RadPageView_AMP" runat="server">
							</telerik:RadPageView>
							<telerik:RadPageView ID="RadPageView_BAS" runat="server">
							</telerik:RadPageView>
							<telerik:RadPageView ID="RadPageView_CMS" runat="server">
							</telerik:RadPageView>
						</telerik:RadMultiPage>

						<br />
						<asp:Button ID="btnUpdate" Text='<%# (Container is GridEditFormInsertItem) ? "Insert" : "Update" %>' runat="server" CommandName='<%# (Container is GridEditFormInsertItem) ? "PerformInsert" : "Update" %>' />

						<asp:Button ID="btnCancel" Text="Cancel" runat="server" CausesValidation="False" CommandName="Cancel" />

					</FormTemplate>
				</EditFormSettings>
			</MasterTableView>
		</telerik:RadGrid>
	</form>
</body>
</html>
